Account Users
Update account user
Update an account user’s roles.
PUT
/
account-users
/
{id}
Update account user
curl --request PUT \
--url https://cookiechimp.com/api/v1/account-users/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"account_user": {
"roles": {
"admin": false
}
}
}
'import requests
url = "https://cookiechimp.com/api/v1/account-users/{id}"
payload = { "account_user": { "roles": { "admin": False } } }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({account_user: {roles: {admin: false}}})
};
fetch('https://cookiechimp.com/api/v1/account-users/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "accuser123",
"roles": {
"admin": true
},
"created_at": "2023-01-05T10:15:30Z",
"updated_at": "2023-01-15T11:20:45Z",
"user": {
"id": "usr123",
"name": "Ada Lovelace",
"email": "admin@example.com"
},
"account": {
"id": "acc123",
"name": "example.com"
}
}
}{
"errors": [
{
"code": 401,
"message": "API key must belong to an account"
}
]
}{
"errors": [
{
"code": 404,
"message": "Record not found"
}
]
}{
"name": [
"can't be blank"
],
"external_id": [
"has already been taken"
]
}{
"errors": [
{
"code": 429,
"message": "Too many requests. Please retry later."
}
]
}Authorizations
API token obtained from the login endpoint or the dashboard
Path Parameters
ID of the resource
Body
application/json
Account user to update
Show child attributes
Show child attributes
Response
Updated account user
Show child attributes
Show child attributes
Example:
{
"id": "accuser123",
"roles": { "admin": true },
"created_at": "2023-01-05T10:15:30Z",
"updated_at": "2023-01-15T11:20:45Z",
"user": {
"id": "usr123",
"name": "Ada Lovelace",
"email": "admin@example.com"
},
"account": { "id": "acc123", "name": "example.com" }
}
Was this page helpful?
⌘I
Update account user
